<!doctype html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/guest.html}"
>
	<head>
		<!-- Primary Meta Tags -->
		<meta name="title" content="Login" />
		<meta name="description" content="Sekolah tinggi manajemen informasi dan komputer Tazkia" />
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Login</title>
	</head>
	<body layout:fragment="content">
		<div class="absolute inset-0 -z-10 grid grid-cols-2 -space-x-52 opacity-40">
			<div class="h-56 bg-gradient-to-br from-error-container to-primary blur-[106px]"></div>
			<div class="h-32 bg-gradient-to-r from-primary to-warning blur-[106px]"></div>
		</div>
		<div class="relative mx-auto flex flex-col items-center justify-center px-4 py-8 md:h-screen lg:py-0">
			<div class="w-full space-y-4 sm:max-w-md md:space-y-6">
				<div class="flex flex-col items-center">
					<a th:href="@{'/'}" class="mb-4">
						<img th:src="@{/img/logo.svg}" alt="logo" />
					</a>
					<h1 class="text-2xl font-bold text-on-surface-higher">Welcome Back</h1>
					<p class="text-on-surface-lower">Please enter your detail to sign in.</p>
				</div>

				<!-- login form -->
				<form form th:action="@{/login}" method="post" novalidate="novalidate">
					<div class="space-y-4">
						<div>
							<label for="username" class="mb-2 block text-sm font-medium text-on-surface"
								>Username</label
							>
							<div class="relative">
								<input
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									type="text"
									id="username"
									name="username"
									placeholder="Username"
									value=""
									required="required"
									autofocus="autofocus"
								/>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15.75 6a3.75 3.75 0 1 1-7.5 0 3.75 3.75 0 0 1 7.5 0ZM4.501 20.118a7.5 7.5 0 0 1 14.998 0A17.933 17.933 0 0 1 12 21.75c-2.676 0-5.216-.584-7.499-1.632Z"
										/>
									</svg>
								</div>
							</div>
							<p id="errorusername" class="mt-2 block text-sm text-error"></p>
						</div>

						<div>
							<label for="password" class="mb-2 block text-sm font-medium text-on-surface"
								>Password</label
							>
							<div x-data="{showPass : false}" class="relative">
								<input
									class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-11 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
									:type="showPass == true ? 'text' : 'password'"
									id="password"
									name="password"
									placeholder="••••••••"
									required="required"
								/>
								<div class="absolute inset-y-0 start-0 flex items-center ps-4">
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-4 shrink-0 text-on-surface-lower"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15.75 5.25a3 3 0 0 1 3 3m3 0a6 6 0 0 1-7.029 5.912c-.563-.097-1.159.026-1.563.43L10.5 17.25H8.25v2.25H6v2.25H2.25v-2.818c0-.597.237-1.17.659-1.591l6.499-6.499c.404-.404.527-1 .43-1.563A6 6 0 1 1 21.75 8.25Z"
										/>
									</svg>
								</div>
								<!-- toggle password -->
								<button
									@click="showPass = !showPass"
									type="button"
									class="absolute inset-y-0 end-0 flex items-center pe-4 text-on-surface-lower hover:text-on-surface-higher"
								>
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										:class="showPass == true ? 'hidden' : 'block'"
										class="size-4 shrink-0"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M3.98 8.223A10.477 10.477 0 0 0 1.934 12C3.226 16.338 7.244 19.5 12 19.5c.993 0 1.953-.138 2.863-.395M6.228 6.228A10.451 10.451 0 0 1 12 4.5c4.756 0 8.773 3.162 10.065 7.498a10.522 10.522 0 0 1-4.293 5.774M6.228 6.228 3 3m3.228 3.228 3.65 3.65m7.894 7.894L21 21m-3.228-3.228-3.65-3.65m0 0a3 3 0 1 0-4.243-4.243m4.242 4.242L9.88 9.88"
										/>
									</svg>

									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										:class="showPass == true ? 'block' : 'hidden'"
										class="size-4 shrink-0"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M2.036 12.322a1.012 1.012 0 0 1 0-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178Z"
										/>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
										/>
									</svg>
								</button>
							</div>
							<p id="errorpassword" class="mt-2 block text-sm text-error"></p>
						</div>
					</div>

					<div class="mb-4 flex items-center justify-between">
						<a href="#" class="text-sm font-medium text-on-surface-lower hover:underline"
							>Forgot password?</a
						>
					</div>

					<button
						type="submit"
						class="inline-flex w-full items-center justify-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50"
					>
						Login
					</button>
				</form>
				<div class="flex items-center">
					<hr class="h-[1px] w-full border-0 bg-surface-outline-lower" />
					<span class="relative px-4 text-on-surface-lower">or</span>
					<hr class="h-[1px] w-full border-0 bg-surface-outline-lower" />
				</div>
				<!-- login with google -->
				<div>
					<a
						th:href="@{/oauth2/authorization/google}"
						type="button"
						class="inline-flex w-full items-center justify-center gap-x-2 rounded-default border border-surface-outline px-4 py-3 text-sm font-semibold text-on-surface-lower hover:border-surface-outline-higher hover:bg-surface-container-highest/40 focus:border-surface-outline-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-surface-outline-higher disabled:cursor-not-allowed disabled:border-surface-outline-lower disabled:text-on-surface-lower/40 hover:disabled:bg-transparent"
					>
						<svg class="h-4 w-4" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
							<g clip-path="url(#clip0_13183_10121)">
								<path
									d="M20.3081 10.2303C20.3081 9.55056 20.253 8.86711 20.1354 8.19836H10.7031V12.0492H16.1046C15.8804 13.2911 15.1602 14.3898 14.1057 15.0879V17.5866H17.3282C19.2205 15.8449 20.3081 13.2728 20.3081 10.2303Z"
									fill="#3F83F8"
								></path>
								<path
									d="M10.7019 20.0006C13.3989 20.0006 15.6734 19.1151 17.3306 17.5865L14.1081 15.0879C13.2115 15.6979 12.0541 16.0433 10.7056 16.0433C8.09669 16.0433 5.88468 14.2832 5.091 11.9169H1.76562V14.4927C3.46322 17.8695 6.92087 20.0006 10.7019 20.0006V20.0006Z"
									fill="#34A853"
								></path>
								<path
									d="M5.08857 11.9169C4.66969 10.6749 4.66969 9.33008 5.08857 8.08811V5.51233H1.76688C0.348541 8.33798 0.348541 11.667 1.76688 14.4927L5.08857 11.9169V11.9169Z"
									fill="#FBBC04"
								></path>
								<path
									d="M10.7019 3.95805C12.1276 3.936 13.5055 4.47247 14.538 5.45722L17.393 2.60218C15.5852 0.904587 13.1858 -0.0287217 10.7019 0.000673888C6.92087 0.000673888 3.46322 2.13185 1.76562 5.51234L5.08732 8.08813C5.87733 5.71811 8.09302 3.95805 10.7019 3.95805V3.95805Z"
									fill="#EA4335"
								></path>
							</g>
							<defs>
								<clipPath id="clip0_13183_10121">
									<rect width="20" height="20" fill="white" transform="translate(0.5)"></rect>
								</clipPath>
							</defs>
						</svg>
						<span>Login With Google</span>
					</a>
				</div>
			</div>
		</div>
	</body>
</html>
